summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-04-16 01:11:30 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-04-16 01:11:30 +0700
commit97a7e042a3d432da6ecf6acead107e81e565dec5 (patch)
tree14c565c42bfedda35d87833c2308d2e6745cb4ac /system
parentb89bd79437bf503a67f099b465a6fd63e1e4615f (diff)
downloadslackbuilds-97a7e042a3d432da6ecf6acead107e81e565dec5.tar.gz
slackbuilds-97a7e042a3d432da6ecf6acead107e81e565dec5.tar.xz
system/zfs-fuse: Removed (included in zfs-on-linux).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/zfs-fuse/README8
-rw-r--r--system/zfs-fuse/doinst.sh24
-rw-r--r--system/zfs-fuse/glibc-2.14.patch13
-rw-r--r--system/zfs-fuse/rc.zfs-fuse152
-rw-r--r--system/zfs-fuse/slack-desc19
-rw-r--r--system/zfs-fuse/zfs-fuse.SlackBuild74
-rw-r--r--system/zfs-fuse/zfs-fuse.info10
7 files changed, 0 insertions, 300 deletions
diff --git a/system/zfs-fuse/README b/system/zfs-fuse/README
deleted file mode 100644
index 1a78d9d748..0000000000
--- a/system/zfs-fuse/README
+++ /dev/null
@@ -1,8 +0,0 @@
-ZFS on FUSE/Linux
-
-This project is a port of the ZFS filesystem to FUSE/Linux, done as part
-of the Google Summer of Code 2006 initiative.
-
-Currently ZFS-FUSE is configured to use up to 128 MB of RAM, but it can
-grow larger with some usage patterns. It's recommended to have a machine
-with at least 1 GB of RAM.
diff --git a/system/zfs-fuse/doinst.sh b/system/zfs-fuse/doinst.sh
deleted file mode 100644
index c298908b52..0000000000
--- a/system/zfs-fuse/doinst.sh
+++ /dev/null
@@ -1,24 +0,0 @@
-config() {
- NEW="$1"
- OLD="$(dirname $NEW)/$(basename $NEW .new)"
- # If there's no config file by that name, mv it over:
- if [ ! -r $OLD ]; then
- mv $NEW $OLD
- elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
- # toss the redundant copy
- rm $NEW
- fi
- # Otherwise, we leave the .new copy for the admin to consider...
-}
-preserve_perms() {
- NEW="$1"
- OLD="$(dirname ${NEW})/$(basename ${NEW} .new)"
- if [ -e ${OLD} ]; then
- cp -a ${OLD} ${NEW}.incoming
- cat ${NEW} > ${NEW}.incoming
- mv ${NEW}.incoming ${NEW}
- fi
- config ${NEW}
-}
-preserve_perms etc/rc.d/rc.zfs-fuse.new
-
diff --git a/system/zfs-fuse/glibc-2.14.patch b/system/zfs-fuse/glibc-2.14.patch
deleted file mode 100644
index 89345033ff..0000000000
--- a/system/zfs-fuse/glibc-2.14.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-diff --git a/src/lib/libumem/malloc.c b/src/lib/libumem/malloc.c
-index 7eec207..5a4d763 100644
---- a/src/lib/libumem/malloc.c
-+++ b/src/lib/libumem/malloc.c
-@@ -453,7 +453,7 @@ static void __attribute__((constructor)) umem_malloc_init_hook(void)
- }
- }
-
--void (*__malloc_initialize_hook)(void) = umem_malloc_init_hook;
-+void (* __volatile __malloc_initialize_hook)(void) = umem_malloc_init_hook;
-
- #else
- void __attribute__((constructor))
diff --git a/system/zfs-fuse/rc.zfs-fuse b/system/zfs-fuse/rc.zfs-fuse
deleted file mode 100644
index a574c62c2f..0000000000
--- a/system/zfs-fuse/rc.zfs-fuse
+++ /dev/null
@@ -1,152 +0,0 @@
-#! /bin/sh
-
-# chkconfig: 12345 13 87
-# description: Starts and stops the ZFS file systems
-# author: Manuel Amador (Rudd-O)
-
-PIDFILE=/var/run/zfs-fuse.pid
-LOCKFILE=/var/lock/zfs/zfs_lock
-
-# Source function library.
-. /etc/init.d/functions
-
-# Source cmdline opts
-OPTIONS=
-[ -f /etc/sysconfig/zfs-fuse ] && . /etc/sysconfig/zfs-fuse
-
-export PATH=/usr/local/sbin:/sbin:/bin:/usr/sbin:/usr/bin
-unset LANG
-ulimit -v unlimited
-ulimit -c unlimited
-ulimit -l unlimited
-
-do_start() {
- PID=$(cat "$PIDFILE" 2> /dev/null)
- if [ "$PID" != "" ]
- then
- if kill -0 $PID 2> /dev/null
- then
- echo -n "ZFS-FUSE is already running"
- failure
- exit 3
- else
- # pid file is stale, we clean up shit
- action "Cleaning up stale ZFS-FUSE PID files" rm -f "$PIDFILE"
- fi
- fi
-
- export DAEMON_COREFILE_LIMIT=unlimited
- action "Starting ZFS-FUSE process" daemon --pidfile $PIDFILE zfs-fuse -p "$PIDFILE" $OPTIONS
- ES_TO_REPORT=$?
- if [ 0 != $ES_TO_REPORT ] ; then
- exit $ES_TO_REPORT
- fi
-
- for a in 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15
- do
- PID=$(cat "$PIDFILE" 2> /dev/null)
- [ "$PID" != "" ] && break
- sleep 1
- done
-
- if [ "$PID" = "" ]
- then
- echo -n "ZFS-FUSE did not start or create $PIDFILE"
- failure
- exit 3
- fi
-
- action "Immunizing ZFS-FUSE against OOM kills and sendsigs signals" true
- echo -17 > "/proc/$PID/oom_adj"
- ES_TO_REPORT=$?
- if [ 0 != $ES_TO_REPORT ] ; then
- exit $ES_TO_REPORT
- fi
-
- sleep 1
- action "Mounting ZFS filesystems" zfs mount -a
- ES_TO_REPORT=$?
- if [ 0 != $ES_TO_REPORT ] ; then
- exit $ES_TO_REPORT
- fi
-
-}
-
-do_stop () {
- PID=$(cat "$PIDFILE" 2> /dev/null)
- if [ "$PID" = "" ] ; then
- # no pid file, we exit
- exit 0
- elif kill -0 $PID 2> /dev/null; then
- # pid file and killable, we continue
- true
- else
- # pid file is stale, we clean up shit
- action "Cleaning up stale ZFS-FUSE PID files" rm -f "$PIDFILE"
- exit 0
- fi
-
- action "Syncing disks" sync
-
- action "Unmounting ZFS filesystems" zfs unmount -a
- ES_TO_REPORT=$?
- if [ 0 != $ES_TO_REPORT ] ; then
- exit $ES_TO_REPORT
- fi
-
- action "Terminating ZFS-FUSE process gracefully" kill -TERM $PID
-
- for a in 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15
- do
- kill -0 $PID 2> /dev/null
- [ "$?" != "0" ] && break
- sleep 1
- done
-
- if kill -0 $PID 2> /dev/null
- then
- echo -n "ZFS-FUSE refused to die after 15 seconds"
- failure
- exit 3
- else
- rm -f "$PIDFILE"
- fi
-
- action "Syncing disks again" sync
-}
-
-case "$1" in
- start)
- do_start
- ;;
- stop)
- do_stop
- ;;
- status)
- PID=$(cat "$PIDFILE" 2> /dev/null)
- if [ "$PID" = "" ] ; then
- echo "ZFS-FUSE is not running"
- exit 3
- else
- if kill -0 $PID
- then
- echo "ZFS-FUSE is running, pid $PID"
- zpool status
- exit 0
- else
- echo "ZFS-FUSE died, PID files stale"
- exit 3
- fi
- fi
- ;;
- restart|reload|force-reload)
- echo "Error: argument '$1' not supported" >&2
- exit 3
- ;;
- *)
- echo "Usage: $0 start|stop|status" >&2
- exit 3
- ;;
-esac
-
-:
diff --git a/system/zfs-fuse/slack-desc b/system/zfs-fuse/slack-desc
deleted file mode 100644
index 755391d9ce..0000000000
--- a/system/zfs-fuse/slack-desc
+++ /dev/null
@@ -1,19 +0,0 @@
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description.
-# Line up the first '|' above the ':' following the base package name, and
-# the '|' on the right side marks the last column you can put a character in.
-# You must make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':' except on otherwise blank lines.
-
- |-----handy-ruler------------------------------------------------------|
-zfs-fuse: zfs-fuse (Z File System over Fuse)
-zfs-fuse:
-zfs-fuse: ZFS is the most advanced file system ever invented. This project
-zfs-fuse: makes it possible to create, mount, use and manage ZFS file
-zfs-fuse: systems under Linux, bringing the uncontested reliability and
-zfs-fuse: large feature set of ZFS to the Linux world.
-zfs-fuse:
-zfs-fuse:
-zfs-fuse:
-zfs-fuse:
-zfs-fuse:
diff --git a/system/zfs-fuse/zfs-fuse.SlackBuild b/system/zfs-fuse/zfs-fuse.SlackBuild
deleted file mode 100644
index ccce9f55d8..0000000000
--- a/system/zfs-fuse/zfs-fuse.SlackBuild
+++ /dev/null
@@ -1,74 +0,0 @@
-#!/bin/sh
-
-# Slackware build script for ZFS-Fuse
-# Steven King revision date 2010/01/17
-# Updated for 0.7.0 by rworkman on 20110403
-# Updated for 20120201_6abfdcf by ponce on 20120923
-
-PRGNAM=zfs-fuse
-VERSION=${VERSION:-20120201_6abfdcf}
-BUILD=${BUILD:-1}
-TAG=${TAG:-_SBo}
-
-if [ -z "$ARCH" ]; then
- case "$( uname -m )" in
- i?86) ARCH=i586 ;;
- arm*) ARCH=arm ;;
- *) ARCH=$( uname -m ) ;;
- esac
-fi
-
-CWD=$(pwd)
-TMP=${TMP:-/tmp/SBo}
-PKG=$TMP/package-$PRGNAM
-OUTPUT=${OUTPUT:-/tmp}
-
-set -e
-
-rm -rf $PKG
-mkdir -p $TMP $PKG $OUTPUT
-rm -rf $TMP/$PRGNAM-$VERSION
-cd $TMP
-tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
-cd $PRGNAM-$VERSION
-chown -R root:root .
-find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-
-# Patch for glib>=2.14
-# http://zfs-fuse.net/issues/137
-patch -p1 < $CWD/glibc-2.14.patch
-
-cd src
- scons
- scons install install_dir=$PKG/usr/sbin
-cd ..
-
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-
-# Install init script and zfsrc sample
-mkdir -p $PKG/etc/rc.d
-cat $CWD/rc.zfs-fuse > $PKG/etc/rc.d/rc.zfs-fuse.new
-cat contrib/zfsrc > $PKG/etc/zfsrc.sample
-
-mkdir -p $PKG/usr/man/man8
-cp doc/*.8 $PKG/usr/man/man8
-gzip -9 $PKG/usr/man/man8/*.8
-
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a \
- BUGS CHANGES HACKING INSTALL LICENSE README* STATUS TESTING TODO \
- $PKG/usr/doc/$PRGNAM-$VERSION
-find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-
-mkdir -p $PKG/install
-cat $CWD/slack-desc > $PKG/install/slack-desc
-cat $CWD/doinst.sh > $PKG/install/doinst.sh
-
-cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/zfs-fuse/zfs-fuse.info b/system/zfs-fuse/zfs-fuse.info
deleted file mode 100644
index 3a042f3736..0000000000
--- a/system/zfs-fuse/zfs-fuse.info
+++ /dev/null
@@ -1,10 +0,0 @@
-PRGNAM="zfs-fuse"
-VERSION="20120201_6abfdcf"
-HOMEPAGE="http://zfs-fuse.net"
-DOWNLOAD="http://ponce.cc/slackware/sources/repo/zfs-fuse-20120201_6abfdcf.tar.xz"
-MD5SUM="9f216b7148ed4a9b588ddf7d669bd17b"
-DOWNLOAD_x86_64=""
-MD5SUM_x86_64=""
-REQUIRES=""
-MAINTAINER="Steven King"
-EMAIL="kingrst@gmail.com"